> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Qwen3.6-27B

> Qwen3.6-27B：通用语言模型。包含 MixRoute 调用示例与参数。

Qwen3.6-27B 是 Alibaba 推出的通用语言模型。

可使用下方端点通过 MixRoute 调用 `qwen3.6-27b`。

## 核心能力

* OpenAI 兼容 - 修改 base\_url 即可使用 OpenAI SDK
* 流式输出 - 通过 SSE 实时返回 token
* 多轮对话 - 使用带 role 的 messages

## 快速示例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/chat/completions" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "model": "qwen3.6-27b",
      "messages": [
        {
          "role": "user",
          "content": "Explain quantum entanglement in simple terms."
        }
      ],
      "max_tokens": 256
    }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.chat.completions.create(
        model="qwen3.6-27b",
        messages=[{"role": "user", "content": "Explain quantum entanglement in simple terms."}],
        max_tokens=256,
    )

    print(response.choices[0].message.content)
    ```
  </Tab>

  <Tab title="Streaming">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    stream = client.chat.completions.create(
        model="qwen3.6-27b",
        messages=[{"role": "user", "content": "Write a short poem about the sea."}],
        max_tokens=256,
        stream=True,
    )

    for chunk in stream:
        print(chunk.choices[0].delta.content or "", end="")
    ```
  </Tab>
</Tabs>

## 参数

| 参数            | 类型              | 必填 | 说明                       |
| ------------- | --------------- | -- | ------------------------ |
| `model`       | string          | 是  | 固定为 `qwen3.6-27b`。       |
| `messages`    | array           | 是  | 包含 role 与 content 的对话消息。 |
| `max_tokens`  | integer         | 否  | 最大生成 token 数。            |
| `stream`      | boolean         | 否  | 启用 SSE 流式输出，默认 false。    |
| `temperature` | number          | 否  | 模型支持时用于控制采样随机性。          |
| `top_p`       | number          | 否  | 模型支持时使用的核采样阈值。           |
| `stop`        | string \| array | 否  | 触发停止生成的序列。               |
| `tools`       | array           | 否  | OpenAI 兼容工具定义。           |
